New to Kendo UI for VueStart a free 30-day trial

Splitter

Updated over 6 months ago

Represents the Kendo UI for Vue Native Splitter component.

js
<template>
  <Splitter
    :style="{ height: '340px' }"
    :panes="panes"
    :orientation="'vertical'"
    @change="onChange"
  >
    <template #first>
      <div class="pane-content">
        <h3>Top Pane</h3>
      </div>
    </template>
    <template #second>
      <div class="pane-content">
        <h3>Bottom Pane</h3>
      </div>
    </template>
  </Splitter>
</template>

<script>
import { Splitter } from '@progress/kendo-vue-layout';
import './styles.css';

export default {
  components: {
    Splitter,
  },
  data() {
    return {
      panes: [
        { size: '40%', containsSplitter: true, content: 'first' },
        { content: 'second' },
      ],
    };
  },
  methods: {
    onChange(event) {
      this.panes = event.newState;
    },
  },
};
</script>

props Readonly<SplitterProps

The props of the Splitter component.

In this article
props Readonly< SplitterProps
Not finding the help you need?
Contact Support

New to KendoReactLearn about KendoReact Free.

Splitter

A subclass of React.Component.

Represents the KendoReact Splitter component.

jsx
const App = () => {
   return (
       <div>
           <Splitter
               style={{height: 400}}
               orientation={'vertical'}
           >
               <div>Pane 1</div>
               <div>Pane 2</div>
               <div>Pane 3</div>
           </Splitter>
       </div>
   );
}
NameTypeDefaultDescription

props

Readonly<SplitterProps>

The props of the Splitter component.

Not finding the help you need?
Contact Support